$.level = 1;
var divider = "--------------------------------------------------";
var vExportFormat=2;
if(app.documents.length != 0){	//check to see if there are any pages in the document
	if (app.activeDocument.stories.length != 0){	//ensure that there is some text
		var myDialog = app.dialogs.add({name:"Export All Stories"});
			var myCol = myDialog.dialogColumns.add();
 			var myBorder = myCol.borderPanels.add();
			  myBorder.staticTexts.add({staticLabel:"Export as:"}); //give the panel some text
   				myBtnGroup = myCol.radiobuttonGroups.add(); //add 3 controls
				myBtnGroup.radiobuttonControls.add({staticLabel:"Text Only"});
				myBtnGroup.radiobuttonControls.add({staticLabel:"RTF", checkedState:true});
				myBtnGroup.radiobuttonControls.add({staticLabel:"InDesign Tagged Text"});

			myReturn = myDialog.show();	//display the dialog box
			if (myReturn == true){
				//Get the values from the dialog box.
				vExportFormat = myBtnGroup.selectedButton;
				myDialog.destroy;
				myFolder= Folder.selectDialog ("Choose a Folder");
				if((myFolder != null)&&(app.activeDocument.stories.length !=0)){
					ExportAllStories(vExportFormat, myFolder);
				}
			} else {
				//failed to show a dialog. manually get the path and data from the user
				alert("The dialog failed to display. You will be prompted\n" + 
				      "for the data the system needs to process your request");
				var format = prompt("Which format do you want to export to:\n[T]ext Only, [R]TF, or [I]ndesign Tagged Text");
				//find out what the user selected T, R or I
				format = format.toUpperCase(); //make it all uppercase
				if (format.charAt(0) == 'R') {
					 vExportFormat = 1;
				} else if (format.charAt(0) == 'I') {
					vExportFormat = 2;
				} else {
					vExportFormat = 2; //makes I the default
				}
				
				myFolder= Folder.selectDialog ("Choose a Folder");
				if((myFolder != null)&&(app.activeDocument.stories.length !=0)){
					ExportAllStories(vExportFormat, myFolder);
				}
			}
			myDialog.destroy();
			alert("Export Completed");
	}
	else{
		alert("The document does not contain any text. Please open a document containing text and try again.");
	}
}
else{
	alert("No documents are open. Please open a document and try again.");
}
//------------------------------------------------------------------------
function ExportAllStories(vExportFormat, myFolder){
var temp = "";
var pathSep="";

	if (fs = "Windows") {
		pathSep = "/";
	} else {
		pathSep = ":";
	}

var myStory = app.activeDocument.stories.item(1);
	for(myCounter = 0; myCounter < app.activeDocument.stories.length; myCounter++){
		myStory = app.activeDocument.stories.item(myCounter);
		myID = myStory.id
		temp = temp + divider + myID  + "\n" + myStory.contents + "\n";
		}
		switch(vExportFormat){
			case 0:	//text only
				myFormat = ExportFormat.textType; //ExportFormat is a method of the document object
				myExtension = ".txt"
				break;
			case 1:	//rtf format
				myFormat = ExportFormat.RTF;
				myExtension = ".rtf"
				break;
			case 2:	//tagged text
				myFormat = ExportFormat.taggedText;
				myExtension = ".txt"
				break;
		}
		
		fn = app.activeDocument.name;
		fn = fn.substring(0, fn.indexOf("."));
			
			if (fn.length == 0) {
				fn = "Untitled";
			}
			
		fn += myExtension;
		fp = myFolder + pathSep + fn;
		mynewFile = new File(fp);
		mynewFile.open("w");
		mynewFile.write(temp);
		mynewFile.close();
}